Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1205479 - Review Request: python-morris - An announcement (signal/event) system for Python
Summary: Review Request: python-morris - An announcement (signal/event) system for Python
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-03-25 00:57 UTC by Zygmunt Krynicki
Modified: 2016-07-13 17:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-13 17:23:11 UTC


Attachments (Terms of Use)

Description Zygmunt Krynicki 2015-03-25 00:57:08 UTC
Spec URL: http://pi.zygoon.pl/~/zyga/python-morris.spec
SRPM URL: http://pi.zygoon.pl/~/zyga/python-morris-1.2-1.fc21.src.rpm
Description:
 Morris is a simple python library for creating notification mechanism similar
 to Qt signals or C# events. Application developers can create signals with a
 simple decorator (@signal), send signals by calling the decorated method or
 function, connect to and disconnect from signals with signal.connect() and
 signal.disconnect().

 Morris comes with support for writing high-level unit tests using the
 SignalTestCase.{watchSignal,assertSignalFired,assertSignalNotFired}() methods.
 Appropriate ordering constraints on multiple signals can be tested using the
 SignalTestCase.assertSignalOrdering() method.

Fedora Account System Username: zyga

http://koji.fedoraproject.org/koji/taskinfo?taskID=9316181

This is my fist package for Fedora. I am the upstream maintainer of morris.

Comment 1 Zygmunt Krynicki 2015-03-25 01:01:59 UTC
The correct URLs are below:

Spec URL: http://pi.zygoon.pl/~zyga/python-morris.spec
SRPM URL: http://pi.zygoon.pl/~zyga/python-morris-1.2-1.fc21.src.rpm

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-07-09 15:48:58 UTC
Host is down.

Comment 3 Zygmunt Krynicki 2015-07-20 11:15:30 UTC
Ah, I'm sorry, the host was down. I've restarted it. Please try again.

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-07-20 13:07:25 UTC
Fedora Account System (FAS) tells you're not in the packager group yet.
You need to go through the "sponsor" process, see
https://fedoraproject.org/wiki/Package_Review_Process#Contributor .

Comment 5 Parag AN(पराग) 2015-08-22 07:06:38 UTC
Hi,
   We have this process http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group to get sponsored into the packager group. Can you either submit few more packages and/or some full detailed package reviews? This is needed to make sure package submitter understands the rpm packaging well and follows the fedora packaging guidelines.

Please go through the following links
1) http://fedoraproject.org/wiki/Package_Review_Process

2) https://fedoraproject.org/wiki/PackagingGuidelines

3) To find the packages already submitted for review, check http://fedoraproject.org/PackageReviewStatus/

4) http://fedoraproject.org/wiki/Packaging:ReviewGuidelines and http://fedoraproject.org/wiki/Package_Review_Process#Reviewer is useful while doing package reviews.

5) https://fedorahosted.org/FedoraReview/ this is fedora-review tool to help review packages in fedora. You need to use this and do un-official package reviews of packages submitted by other contributors. While doing so mention "This is un-official review of the package." at top of your review comment.

Good to review packages listed in http://fedoraproject.org/PackageReviewStatus/NEW.html

When you do full package review of some packages, provide that review comment link here so that I can look how you have reviewed those packages.

If you got any questions please ask :)

Comment 6 William Moreno 2015-10-29 23:32:52 UTC
Do you want to continue with this review?

Comment 7 Parag AN(पराग) 2015-12-24 05:53:24 UTC
I think this review is stalled for package submitter update. The package links are still down. No reply has been posted to William's above comment.

I am closing this review. When you (zyga) back and want to continue this review process, feel free to reopen this review.


Note You need to log in before you can comment on or make changes to this bug.